PLplot: wxwidgets.h File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Classes | Macros | Enumerations | Functions | Variables
wxwidgets.h File Reference
`#include <wx/spinctrl.h>`

Go to the source code of this file.

## Classes
class | wxPLDevBase
class | wxPLDevDC
struct | dev_entry
class | wxPLplotApp
class | wxPLplotWindow
class | wxPLplotFrame
class | wxGetSizeDialog

## Macros
#define | max_number_of_grey_levels_used_in_text_smoothing 64
#define | NDEV 100
#define | VSCALE ( 40. )
#define | DEVICE_PIXELS_PER_IN ( 80. )
#define | VIRTUAL_PIXELS_PER_IN ( DEVICE_PIXELS_PER_IN * VSCALE )
#define | MM_PER_IN ( 25.4 )
#define | DEVICE_PIXELS_PER_MM ( DEVICE_PIXELS_PER_IN / MM_PER_IN )
#define | VIRTUAL_PIXELS_PER_MM ( VIRTUAL_PIXELS_PER_IN / MM_PER_IN )
#define | CANVAS_WIDTH ( 10.0 )
#define | CANVAS_HEIGHT ( 7.5 )
#define | PLOT_WIDTH ( 800 )
#define | PLOT_HEIGHT ( 600 )
#define | LOCATE_INVOKED_VIA_API 1
#define | LOCATE_INVOKED_VIA_DRIVER 2
#define | wxBACKEND_DC 0
#define | wxBACKEND_AGG 1
#define | wxBACKEND_GC 2
#define | MAX_COMCOUNT 10000
#define | IMPLEMENT_PLAPP_NO_MAIN(appname)
#define | DECLARE_PLAPP(appname) extern appname &wxPLGetApp();
#define | WX_SUPPRESS_UNUSED_WARN(x) Use( &x )

## Enumerations
enum | { wxPL_Save = 10000, wxPL_Next = 10100, wxPL_Locate, wxPL_Orientation_0, wxPL_Orientation_90, wxPL_Orientation_180, wxPL_Orientation_270 }

## Functions
| WX_DEFINE_ARRAY (wxPLplotFrame *, wxArrayOfwxPLplotFrame)
static void | Use (void *)
void | plD_init_wxwidgets (PLStream *)
void | plD_init_wxpng (PLStream *)
void | plD_line_wxwidgets (PLStream *, short, short, short, short)
void | plD_polyline_wxwidgets (PLStream *, short *, short *, PLINT)
void | plD_eop_wxwidgets (PLStream *)
void | plD_bop_wxwidgets (PLStream *)
void | plD_tidy_wxwidgets (PLStream *)
void | plD_state_wxwidgets (PLStream *, PLINT)
void | plD_esc_wxwidgets (PLStream *, PLINT, void *)
void | wx_set_dc (PLStream *pls, wxDC *dc)
void | wx_set_buffer (PLStream *pls, wxImage *buffer)
void | wx_set_size (PLStream *pls, int width, int height)
int | plD_errorexithandler_wxwidgets (char *errormessage)
void | plD_erroraborthandler_wxwidgets (char *errormessage)
void | Log_Verbose (const char *fmt,...)
void | Log_Debug (const char *fmt,...)

## Variables
const wxFontFamily | fontFamilyLookup [5]
const int | fontStyleLookup [3]
const int | fontWeightLookup [2]

## Macro Definition Documentation

#define CANVAS_HEIGHT ( 7.5 )

Definition at line 67 of file wxwidgets.h.

#define CANVAS_WIDTH ( 10.0 )

Definition at line 66 of file wxwidgets.h.

#define DECLARE_PLAPP | ( |  | appname | ) | extern appname &wxPLGetApp();

Definition at line 486 of file wxwidgets.h.

#define DEVICE_PIXELS_PER_IN ( 80. )

Definition at line 54 of file wxwidgets.h.

#define DEVICE_PIXELS_PER_MM ( DEVICE_PIXELS_PER_IN / MM_PER_IN )

Definition at line 62 of file wxwidgets.h.

#define IMPLEMENT_PLAPP_NO_MAIN | ( |  | appname | ) |

Value:
wxAppConsole * wxPLCreateApp() \
{ \
wxAppConsole::CheckBuildOptions( WX_BUILD_OPTIONS_SIGNATURE, \
"your program" ); \
return new appname; \
} \
wxAppInitializer \
wxAppInitializer( (wxAppInitializerFunction) ( wxApp::GetInitializerFunction() == NULL ? wxPLCreateApp : wxApp::GetInitializerFunction() ) ); \
DECLARE_PLAPP( appname ) \
appname & wxPLGetApp() { return *wx_static_cast( appname *, wxApp::GetInstance() ); }

Definition at line 474 of file wxwidgets.h.

#define LOCATE_INVOKED_VIA_API 1

Definition at line 74 of file wxwidgets.h.

#define LOCATE_INVOKED_VIA_DRIVER 2

Definition at line 75 of file wxwidgets.h.

#define MAX_COMCOUNT 10000

Definition at line 367 of file wxwidgets.h.

#define max_number_of_grey_levels_used_in_text_smoothing 64

Definition at line 34 of file wxwidgets.h.

#define MM_PER_IN ( 25.4 )

Definition at line 59 of file wxwidgets.h.

#define NDEV 100

Definition at line 37 of file wxwidgets.h.

#define PLOT_HEIGHT ( 600 )

Definition at line 71 of file wxwidgets.h.

#define PLOT_WIDTH ( 800 )

Definition at line 70 of file wxwidgets.h.

#define VIRTUAL_PIXELS_PER_IN ( DEVICE_PIXELS_PER_IN * VSCALE )

Definition at line 55 of file wxwidgets.h.

#define VIRTUAL_PIXELS_PER_MM ( VIRTUAL_PIXELS_PER_IN / MM_PER_IN )

Definition at line 63 of file wxwidgets.h.

#define VSCALE ( 40. )

Definition at line 51 of file wxwidgets.h.

#define WX_SUPPRESS_UNUSED_WARN | ( |  | x | ) | Use( &x )

Definition at line 492 of file wxwidgets.h.

#define wxBACKEND_AGG 1

Definition at line 79 of file wxwidgets.h.

#define wxBACKEND_DC 0

Definition at line 78 of file wxwidgets.h.

#define wxBACKEND_GC 2

Definition at line 80 of file wxwidgets.h.

## Enumeration Type Documentation

anonymous enum

Enumerator:

  wxPL_Save |
  wxPL_Next |
  wxPL_Locate |
  wxPL_Orientation_0 |
  wxPL_Orientation_90 |
  wxPL_Orientation_180 |
  wxPL_Orientation_270 |

Definition at line 445 of file wxwidgets.h.

## Function Documentation

void Log_Debug | ( | const char * | fmt,
|  |  | ...
| ) |  |

Definition at line 92 of file wxwidgets.cpp.

void Log_Verbose | ( | const char * | fmt,
|  |  | ...
| ) |  |

Definition at line 71 of file wxwidgets.cpp.

void plD_bop_wxwidgets | ( | PLStream * |  | ) |

Definition at line 723 of file wxwidgets.cpp.

void plD_eop_wxwidgets | ( | PLStream * |  | ) |

Definition at line 684 of file wxwidgets.cpp.

void plD_erroraborthandler_wxwidgets | ( | char * | errormessage | ) |

int plD_errorexithandler_wxwidgets | ( | char * | errormessage | ) |

void plD_esc_wxwidgets | ( | PLStream * | ,
|  | PLINT | ,
|  | void * |
| ) |  |

Definition at line 854 of file wxwidgets.cpp.

void plD_init_wxpng | ( | PLStream * |  | ) |

void plD_init_wxwidgets | ( | PLStream * |  | ) |

void plD_line_wxwidgets | ( | PLStream * | ,
|  | short | ,
|  | short | ,
|  | short | ,
|  | short |
| ) |  |

Definition at line 623 of file wxwidgets.cpp.

void plD_polyline_wxwidgets | ( | PLStream * | ,
|  | short * | ,
|  | short * | ,
|  | PLINT |
| ) |  |

Definition at line 652 of file wxwidgets.cpp.

void plD_state_wxwidgets | ( | PLStream * | ,
|  | PLINT |
| ) |  |

Definition at line 811 of file wxwidgets.cpp.

void plD_tidy_wxwidgets | ( | PLStream * |  | ) |

Definition at line 778 of file wxwidgets.cpp.

static void Use | ( | void * |  | ) |
| inlinestatic

Definition at line 489 of file wxwidgets.h.

WX_DEFINE_ARRAY | ( | wxPLplotFrame * | ,
|  | wxArrayOfwxPLplotFrame |
| ) |  |

void wx_set_buffer | ( | PLStream * | pls,
|  | wxImage * | buffer
| ) |  |

void wx_set_dc | ( | PLStream * | pls,
|  | wxDC * | dc
| ) |  |

void wx_set_size | ( | PLStream * | pls,
|  | int | width,
|  | int | height
| ) |  |

Definition at line 975 of file wxwidgets.cpp.

## Variable Documentation

const wxFontFamily fontFamilyLookup[5]

Initial value:
{
wxFONTFAMILY_SWISS,
wxFONTFAMILY_ROMAN,
wxFONTFAMILY_TELETYPE,
wxFONTFAMILY_SCRIPT,
wxFONTFAMILY_SWISS
}

Definition at line 529 of file wxwidgets.h.

const int fontStyleLookup[3]

Initial value:
{
wxFONTFLAG_DEFAULT,
wxFONTFLAG_ITALIC,
wxFONTFLAG_SLANT
}

Definition at line 537 of file wxwidgets.h.

const int fontWeightLookup[2]

Initial value:
{
wxFONTFLAG_DEFAULT,
wxFONTFLAG_BOLD
}

Definition at line 543 of file wxwidgets.h.